package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.NoiseTraffic;
import com.lightinit.hsdatashow.entity.NoiseTrafficExample;

import java.math.BigDecimal;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface NoiseTrafficMapper {
    long countByExample(NoiseTrafficExample example);

    int deleteByExample(NoiseTrafficExample example);

    int deleteByPrimaryKey(Long id);

    int insert(NoiseTraffic record);

    int insertSelective(NoiseTraffic record);

    List<NoiseTraffic> selectByExample(NoiseTrafficExample example);

    NoiseTraffic selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") NoiseTraffic record, @Param("example") NoiseTrafficExample example);

    int updateByExample(@Param("record") NoiseTraffic record, @Param("example") NoiseTrafficExample example);

    int updateByPrimaryKeySelective(NoiseTraffic record);

    int updateByPrimaryKey(NoiseTraffic record);

    BigDecimal getNoiseTraffic();
}